CVE-2013-6216 - SetUID/SetGID Programs Allow Privilege Escalation- Via Insecure RPATH in multiple HP products on Linux

From: Portcullis Advisories <advisories@portcullis-security.com>
To: bugtraq@securityfocus.com,fulldisclosure@seclists.org,vuln@secunia.com,moderators@osvdb.org
Cc:
Subject: CVE-2013-6216 - SetUID/SetGID Programs Allow Privilege Escalation- Via Insecure RPATH in multiple HP products on Linux
Date:


Vulnerability title: SetUID/SetGID Programs Allow Privilege Escalation
Via Insecure RPATH in HP Array Configuration Utility, HP Array
Diagnostics Utility, HP ProLiant Array Diagnostics and SmartSSD Wear
Gauge Utility Running on Linux
CVE: CVE-2013-6216
Vendor: HP
Product: HP Array Configuration Utility, HP Array Diagnostics Utility,
HP ProLiant Array Diagnostics and SmartSSD Wear Gauge Utility Running on
Linux
Affected version: 9.40
Fixed version: N/A
Reported by: Tim Brown

Details:

It has been identified that binaries that are executed with elevated
privileges (SetGID and SetUID programs) have been compiled in manner
that means they searched for libraries in insecure locations.

An attacker could place a malicious library in one of the affected
directories, which would then be loaded when the affected program is
run, leading to privilege escalation in instances where the program runs
with privileges that the attacker does not have.
        

Further details at:
https://www.portcullis-security.com/security-research-and-downloads/security-advisories/cve-2013-6216/


Copyright:
Copyright (c) Portcullis Computer Security Limited 2014, All rights
reserved worldwide. Permission is hereby granted for the electronic
redistribution of this information. It is not to be edited or altered in
any way without the express written consent of Portcullis Computer
Security Limited.

Disclaimer:
The information herein contained may change without notice. Use of this
information constitutes acceptance for use in an AS IS condition. There
are NO warranties, implied or otherwise, with regard to this information
or its use. Any use of this information is at the user's risk. In no
event shall the author/distributor (Portcullis Computer Security
Limited) be held liable for any damages whatsoever arising out of or in
connection with the use or spread of this information.





Copyright © 1995-2019 LinuxRocket.net. All rights reserved.